@echo off

set DESKTOP="%PUBLIC%\Desktop"
set STARTMENU="%PROGRAMDATA%\Microsoft\Windows\Start Menu\Programs"

echo ####### %0 #######

echo copying desktop shortcuts ...
xcopy /CDI /HERBY desktop %DESKTOP%

echo setting access rights for desktop shortcuts ...
icacls %DESKTOP%\* /grant Users:R 1>nul 2>nul

echo copying startmenu shortcuts ...
mkdir %STARTMENU%\Tools 2>nul
del /F /Q %STARTMENU%\Tools 2>nul
xcopy /CDI /HERBY startmenu %STARTMENU%\Tools

echo setting access rights for startmenu shortcuts ...
icacls %STARTMENU%\Tools\* /grant Users:R 1>nul 2>nul

echo ####### %0 #######

